ColumnCondition (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3

## Class ColumnCondition

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnCondition

-     public class ColumnCondition
      extends java.lang.Object

  A CQL3 condition.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ColumnCondition.Bound`
    `static class` | `ColumnCondition.CollectionInBound`
    `static class` | `ColumnCondition.Raw`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ColumnDefinition` | `column`
    `Relation.Type` | `operator`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnCondition.Bound` | `bind(QueryOptions options)`
    `void` | `collectMarkerSpecification(VariableSpecifications boundNames)` Collects the column specification for the bind variables of this operation.
    `static ColumnCondition` | `condition(ColumnDefinition column, Term value, Relation.Type op)`
    `static ColumnCondition` | `condition(ColumnDefinition column, Term collectionElement, Term value, Relation.Type op)`
    `static ColumnCondition` | `inCondition(ColumnDefinition column, java.util.List<Term> inValues)`
    `static ColumnCondition` | `inCondition(ColumnDefinition column, Term inMarker)`
    `static ColumnCondition` | `inCondition(ColumnDefinition column, Term collectionElement, java.util.List<Term> inValues)`
    `static ColumnCondition` | `inCondition(ColumnDefinition column, Term collectionElement, Term inMarker)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### column

          public final ColumnDefinition column

    - #### operator

          public final Relation.Type operator

  - ### Method Detail

    - #### condition

          public static ColumnCondition condition(ColumnDefinition column,
                                  Term value,
                                  Relation.Type op)

    - #### condition

          public static ColumnCondition condition(ColumnDefinition column,
                                  Term collectionElement,
                                  Term value,
                                  Relation.Type op)

    - #### inCondition

          public static ColumnCondition inCondition(ColumnDefinition column,
                                    java.util.List<Term> inValues)

    - #### inCondition

          public static ColumnCondition inCondition(ColumnDefinition column,
                                    Term collectionElement,
                                    java.util.List<Term> inValues)

    - #### inCondition

          public static ColumnCondition inCondition(ColumnDefinition column,
                                    Term inMarker)

    - #### inCondition

          public static ColumnCondition inCondition(ColumnDefinition column,
                                    Term collectionElement,
                                    Term inMarker)

    - #### collectMarkerSpecification

          public void collectMarkerSpecification(VariableSpecifications boundNames)

      Collects the column specification for the bind variables of this operation.
      Parameters:
        `boundNames` - the list of column specification where to collect the bind variables of this term in.

    - #### bind

          public ColumnCondition.Bound bind(QueryOptions options)
                                     throws InvalidRequestException

      Throws:
        `InvalidRequestException`

Copyright © 2014 The Apache Software Foundation